Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemApplyTemplates

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemForEach
                        |
                        +--org.apache.xalan.templates.ElemCallTemplate
                              |
                              +--org.apache.xalan.templates.ElemApplyTemplates

public class ElemApplyTemplates
extends ElemCallTemplate

**For advanced use only** Implement xsl:apply-templates.

     &!ELEMENT xsl:apply-templates (xsl:sort|xsl:with-param)*>
     &!ATTLIST xsl:apply-templates
       select %expr; "node()"
       mode %qname; #IMPLIED
     &

See Also:
  section-Applying-Template-Rules in XSLT Specification, Serialized Form

Fields inherited from class org.apache.xalan.templates.ElemCallTemplate
`m_templateName`

Fields inherited from class org.apache.xalan.templates.ElemForEach
`m_doc_cache_off`

Constructor Summary
`ElemApplyTemplates()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer)` Apply the context node to the matching templates.
`QName` | `getMode()` Get the mode attribute for this element.
`java.lang.String` | `getNodeName()` Return the node name.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `setIsDefaultTemplate(boolean b)` Set if this belongs to a default template, in which case it will act different with regard to processing modes.
`void` | `setMode(QName mode)` Set the mode attribute for this element.
`void` | `transformSelectedNodes(TransformerImpl transformer)` **For advanced use only** Perform a query if needed, and call transformNode for each child.

Methods inherited from class org.apache.xalan.templates.ElemCallTemplate
`appendChild, callChildVisitors, endCompose, getName, getParamElem, getParamElemCount, setName, setParamElem`

Methods inherited from class org.apache.xalan.templates.ElemForEach
`getExpression, getSelect, getSortElem, getSortElemCount, setExpression, setSelect, setSortElem, sortNodes`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemApplyTemplates

    public ElemApplyTemplates()

Method Detail

### setMode

    public void setMode(QName mode)

  Set the mode attribute for this element.
  Parameters:
    `mode` - reference, which may be null, to the current mode.

### getMode

    public QName getMode()

  Get the mode attribute for this element.
  Returns:
    The mode attribute for this element

### setIsDefaultTemplate

    public void setIsDefaultTemplate(boolean b)

  Set if this belongs to a default template, in which case it will act different with regard to processing modes.
  Parameters:
    `b` - boolean value to set.
  See Also:
    built-in-rule in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.
  Returns:
    Token ID for this element types
  Overrides:
    getXSLToken in class ElemCallTemplate
  See Also:
    `Constants`

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
  Overrides:
    compose in class ElemCallTemplate

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.
  Returns:
    Element name
  Overrides:
    getNodeName in class ElemCallTemplate

### execute

    public void execute(TransformerImpl transformer)
                 throws TransformerException

  Apply the context node to the matching templates.
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    TransformerException -
  Overrides:
    execute in class ElemCallTemplate
  See Also:
    section-Applying-Template-Rules in XSLT Specification

### transformSelectedNodes

    public void transformSelectedNodes(TransformerImpl transformer)
                                throws TransformerException

  **For advanced use only** Perform a query if needed, and call transformNode for each child.
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `template` - The owning template context.
  Throws:
    TransformerException - Thrown in a variety of circumstances.
  Overrides:
    transformSelectedNodes in class ElemForEach

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.